sources:
  airline_flights:
    description: Airline Flight data
    driver: parquet
    cache:
      - argkey: urlpath
        regex: 'airline_flights'
        type: file
    args:
      urlpath: 's3://assets.holoviews.org/data/airline_flights.parq'
      storage_options:
       anon: true
       client_kwargs: {'region_name': "eu-west-1"}

  us_crime:
    description: US Crime data
    driver: csv
    args:
      urlpath: '{{ CATALOG_DIR }}/data/crime.csv'
    metadata:
      url: https://www.ucrdatatool.gov/Search/Crime/State/StatebyState.cfm
      plots:
        example:
          kind: line
          y: ['Robbery', 'Burglary']
          x: 'Year'

  landuse:
    description: Image matching given landuse and id from UCMerced_LandUse/Image.
    origin: http://weegee.vision.ucmerced.edu/datasets/landuse.html
    driver: xarray_image
    cache:
      - argkey: urlpath
        regex: 'earth-data/UCMerced_LandUse'
        type: file
    parameters:
      landuse:
        description: which landuse to collect
        type: str
        default: airplane
      id:
        description: which id to collect
        type: int
        default: 0
    args:
      urlpath: "s3://earth-data/UCMerced_LandUse/Images/{{ landuse }}/{{ landuse }}{{ '%02d' % id }}.tif"
      storage_options:
        anon: true
